### Function

# Gtk.CustomRequestModeFunc

#### Declaration

    GtkSizeRequestMode
    CustomRequestModeFunc (
      GtkWidget* widget
    )

#### Description [src]

Queries a widget for its preferred size request mode.

#### Parameters

`widget` | `GtkWidget`
| the widget to be queried
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkSizeRequestMode`
the size request mode